Bug 1405148 (CVE-2016-9583)

Summary: CVE-2016-9583 jasper: integer overflows leading to out of bounds read in packet iterators in JPC decoder
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: abhgupta, bmcclain, cfergeau, dblechte, dmcphers, eedri, erik-fedora, jialiu, jokerman, jridky, kseifried, lmeyer, lsurette, mgoldboi, michal.skrivanek, mike, mmccomas, rbalakri, rdieter, rh-spice-bugs, rjones, sbonazzo, sherold, slawomir, srevivo, tiwillia, ykaul, ylavi
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: jasper 2.0.6 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-05-09 21:40:26 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1405152, 1405149, 1405150, 1405151, 1439171, 1439172, 1439173, 1439174    
Bug Blocks: 1314477    

Description Adam Mariš 2016-12-15 17:06:04 UTC
An out-of-bounds heap read vulnerability was found in jpc_pi_nextpcrl() function of jasper when processing crafted input.

Upstream bug:

https://github.com/mdadams/jasper/issues/103

Upstream patch:

https://github.com/mdadams/jasper/commit/99a50593254d1b53002719bbecfc946c84b23d27

Acknowledgments:

Name: Liu Bingchang (IIE)

Comment 1 Adam Mariš 2016-12-15 17:06:58 UTC
Created mingw-jasper tracking bugs for this issue:

Affects: fedora-all [bug 1405150]
Affects: epel-7 [bug 1405152]

Comment 2 Adam Mariš 2016-12-15 17:07:18 UTC
Created jasper tracking bugs for this issue:

Affects: fedora-all [bug 1405149]
Affects: epel-5 [bug 1405151]

Comment 4 Tomas Hoger 2017-03-30 21:29:24 UTC
The original problem was with integer overflows, which lead to out-of-bounds access.  That problem was originally addressed in jasper version 2.0.0 via this commit:

https://github.com/mdadams/jasper/commit/aa0b0f79ade5eef8b0e7a214c03f5af54b36ba7d

Shortly after the above commit, it was found that it introduced a bug into the jpc_pi_nextrpcl() function, which was corrected via this commit (still in version 2.0.0):

https://github.com/mdadams/jasper/commit/f25486c3d4aa472fec79150f2c41ed4333395d3d

These commits were apparently triggered by this upstream bug:

https://github.com/mdadams/jasper/issues/94


This upstream bug:

https://github.com/mdadams/jasper/issues/103

reports similar issue to what was fixed in the jpc_pi_nextrpcl() function via f25486c, this time in the jpc_pi_nextpcrl() function.  This was corrected upstream via this commit (also linked in comment 0 above):

https://github.com/mdadams/jasper/commit/99a50593254d1b53002719bbecfc946c84b23d27

This fix was included in upstream jasper version 2.0.6.

Comment 5 errata-xmlrpc 2017-05-09 17:20:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:1208 https://access.redhat.com/errata/RHSA-2017:1208